#include <iostream>
using namespace std;
int main(int argc, char** argv) {
	long long int n;
	cin>>n;
	int broj;
	int zbir=0;
	do{
		broj=n%10;
		if (broj==0){
		zbir+=0;
		} else if (broj==8||broj==8){
			zbir+=3;
		} else if (broj==1||broj==2||broj==5){
			zbir+=1;
		} else {
			zbir+=2;
		}
		n=n/10;
	} while(n>=1);
	cout<<zbir;
	return 0;
}